Package org.springframework.http

# Class InvalidMediaTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.springframework.http.InvalidMediaTypeException

All Implemented Interfaces:
  `Serializable`

public class InvalidMediaTypeException extends IllegalArgumentException
Exception thrown from `MediaType.parseMediaType(String)` in case of encountering an invalid media type specification String.

Since:
  3.2.2
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidMediaTypeException(String mediaType, String message)`
Create a new InvalidMediaTypeException for the given media type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMediaType()`
Return the offending media type.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidMediaTypeException

public InvalidMediaTypeException(String mediaType, @Nullable String message)
Create a new InvalidMediaTypeException for the given media type.

Parameters:
  `mediaType` - the offending media type
  `message` - a detail message indicating the invalid part

## Method Details

### getMediaType

public String getMediaType()
Return the offending media type.